https://facebook.com/groups/graphql-kr logo
#질문
Title
# 질문
u

undefined

01/04/2021, 3:03 AM
nvm 같은 yarn 버전 매니저는 없나요? yarn1이랑 yarn2(berry) 를 동시에 쓸려고 하는데 npm/pnpm 같이 이름분리가 안돼서 문의드립니다.
👍 1
t

Tony Won

01/04/2021, 3:03 AM
yarn은 프로젝트마다 따로 설정하실수있어요 ㅎㅎ
🚀 1
글로벌에는 yarn 1을 기본으로 설치하시면 되고
u

undefined

01/04/2021, 3:04 AM
오 그렇군요 감사합니다!
t

Tony Won

01/04/2021, 3:04 AM
yarn 2 쓰고싶은 프로젝트에서
Copy code
$ yarn set version berry
$ yarn set version latest
하시면 돼요 ㅎㅎ
u

박준혁

01/04/2021, 4:13 AM
오... yarn은 프로젝트마다 버전 관리를 따로할 수 있군요??? yarn으로 넘어가야겠네용...
u

undefined

01/04/2021, 4:45 AM
Yarn 2 쓰려고 했지만 초기 설정부터 eslint에서 막혀서 yarn 1을 써야겠습니다…
t

Tony Won

01/04/2021, 5:26 AM
ㅠㅠ
h

Hyeseong Kim

01/04/2021, 10:17 AM
Yarn 2는 글로벌 설치가 없어요
Yarn 1은 Yarn 2를 지원합니다
Yarn 2로의 전환은 프로젝트에 바이너리를 벤더링하는걸로 시작돼요
Yarn 버전관리는 제가 항상 추천드리는 asdf로 같이 할 수 있긴 하지만 별 의미가 없습니다.